HyperPaxeer NetworkPaxeer Network
API Reference

Checks the transaction without executing it.

GET
/check_tx

The transaction won't be added to the mempool.

Please refer to https://docs.tendermint.com/v0.34/tendermint-core/using-tendermint.html#formatting for formatting/encoding rules.

Upon success, the Cache-Control header will be set with the default maximum age.

Query Parameters

tx*string

The transaction

Response Body

application/json

application/json

curl -X GET "https://mainnet-beta.rpc.hyperpaxeer.com/check_tx?tx=785"
{
  "error": "",
  "result": {
    "code": "0",
    "data": "",
    "log": "",
    "info": "",
    "gas_wanted": "1",
    "gas_used": "0",
    "events": [
      {
        "type": "app",
        "attributes": [
          {
            "key": "YWN0aW9u",
            "value": "c2VuZA==",
            "index": false
          }
        ]
      }
    ],
    "codespace": "bank"
  },
  "id": 0,
  "jsonrpc": "2.0"
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}